Bug 485078 - Wrong security context for sysstat package
Wrong security context for sysstat package
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 09:33 EST by Vadym Chepkov
Modified: 2012-09-24 10:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:59:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadym Chepkov 2009-02-11 09:33:40 EST
selinux policy has wrong context for sysstat package

sysstat-7.0.2-1.el5
selinux-policy-targeted-2.4.6-203.el5

I suspect at some moment files were mobved, but policy wasn't updated:

semanage fcontext -l |grep sysstat
/usr/lib(64)?/sa/sadc                              regular file       system_u:object_r:sysstat_exec_t:s0 
/usr/lib(64)?/sysstat/sa.*                         regular file       system_u:object_r:sysstat_exec_t:s0 

but files are actually here:

ls -Z /usr/lib64/sa/sa*
-rwxr-xr-x  root root system_u:object_r:lib_t:s0       /usr/lib64/sa/sa1
-rwxr-xr-x  root root system_u:object_r:lib_t:s0       /usr/lib64/sa/sa2
-rwxr-xr-x  root root system_u:object_r:sysstat_exec_t:s0 /usr/lib64/sa/sadc
Comment 1 Daniel Walsh 2009-02-11 11:31:06 EST
Fixed in selinux-policy-2.4.6-210.el5
Comment 8 errata-xmlrpc 2009-09-02 03:59:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1242.html

Note You need to log in before you can comment on or make changes to this bug.